Download it now!
Bug 80359 - Trendlines and equations in XY scatter charts created in 4.2.5.2 are not appearing when opened in earlier versions
Summary: Trendlines and equations in XY scatter charts created in 4.2.5.2 are not appe...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-22 18:14 UTC by andis.lazdins
Modified: 2015-05-06 02:50 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Disappearing XY trendlines and equations (28.45 KB, application/vnd.oasis.opendocument.text)
2014-06-22 18:14 UTC, andis.lazdins
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andis.lazdins 2014-06-22 18:14:03 UTC
Created attachment 101532 [details]
Disappearing XY trendlines and equations

Trendlines and equations in XY scatter charts created in Libreoffice 4.2.5.2 are not appearing, if opened in earlier versions (4.1 branch, in my case 4.1.6) of Libreoffice. Steps to repeat:
Open attached file in 4.2.5.2. Power trendlines and equations are in place.
Open the same file in 4.1.6.2. No power trendlines and equations appear. Considering that power trendlines are available in both versions, I suppose that these functions should be compatible between versions.

Please, don't recommend to move to higher version, there are plenty of unsolved bugs, also in chart component, in 4.2, which will be solved in further releases of 4.2 or 4.3.
Comment 1 andis.lazdins 2014-06-22 18:15:02 UTC
Forgot to mention Ubuntu 14.04, 32 bit.
Comment 2 tommy27 2014-06-23 05:41:36 UTC
I confirm issue under Win7x64. the test file is correctly opened in 4.2.4.2 but not in 4.1.5.2

anyway I think that the issue you describe is due to the fact that trendlines have been modified in 4.2.x (see https://wiki.documentfoundation.org/ReleaseNotes/4.2#Chart ) so I don't think the developers will spend time to assure backwards compatibility with an END-OF-LIFE branch like 4.1.x

remember that 4.1.6.2 is the last version of the 4.1.x branch and will not receive updates in the future.

the 4.2.x branch has already received 5 maintainance releases with more than 100 bugfix each, so it's going to be in the next month the current "stable" version

so probably this report will be labeled as WONTFIX.

I add a developer to CC list asking what he thinks about.
Comment 3 andis.lazdins 2014-06-23 08:51:51 UTC
> so probably this report will be labeled as WONTFIX.

It's important to remember that the documents in Libreoffice will be created not only  for personal use, but also for exchange with other individuals and organizations, which might use older versions of the program due to different reasons. For instance, we are still using Libreoffice 2.4, because we need to export writer documents to microsoft office formats often and newer versions of the Libreoffice have problems with conversion of complex tables, tables in footers and headers. Avoiding data loss and compatibility of the same functions in different versions of the program to me seems to be one of the highest priorities.
Comment 4 tommy27 2014-06-23 09:59:20 UTC
you are theoretically right but in real practice there's no bug-free software and often when you fix one thing is easy to create regressions somewhere else.

regarding the WONTFIX thing, what I meant to say is that since 4.1.6 is the last 4.1.x release, there's no chance to see a fix in the 4.1.x line to make it compatibile with 4.2.x (unless you hire a LO developer to have a custom 4.1.7 build)

on the other hand we don't know if developers can bring back the 4.2.x to 4.1.x compatibility preserving the changes and improvement they did in the trendline equation thing.... it's often a trade-off between new features, regressions and backwards compatibility, and sometimes you can have them all.

I can suggest you to keep 2 different versions of LibO in your PC...
if you are on Windows you can download portable packages from here:
http://sourceforge.net/projects/winpenpack/files/X-LibreOffice/releases/

then you could install the 4.2.5.2 and keep the portable 4.1.6.2 as a secondary version, or do the opposite.
Comment 5 Tomaz Vajngerl 2014-06-24 12:10:11 UTC
Well.. I really wonder what to do here. 

Apparently LO 4.1 and lower don't support if the "regression-type" is specified for a "regression-curve" element but only if it is defined for a "chart-series" element. However according to ODF specification (at least 1.1) this is totally legit but just not supported.

In LO 4.2 we introduced that one series can have multiple regression curves for one series (which is allowed in ODF specification 1.2) so you can't specify it anymore for a "chart-series" element but only for a "regression-curve" element and to make this simple we always do it like this. 

So to make this work in LO 4.1 and older - we would need to see if there is one regression curve or more regression curves and when there is only one - write it in a backwards compatible way for a "chart-series".
Comment 6 Markus Mohrhard 2015-05-06 02:50:02 UTC
As these old versions are not supported anymore I close this bug report. The current output is correct and this is a bug/limitation in older versions.